{ config, lib, pkgs, ... }:

let
  cfg = config.ptw.programs.emacs;
in {
  options.ptw.programs.emacs = {
    enable = lib.mkEnableOption "Configure emacs";
  };

  config = lib.mkIf cfg.enable {
    environment.systemPackages = with pkgs; [ emacsPgtkGcc ];
    services.emacs.package = pkgs.emacsPgtkGcc;

    home-manager.users."${config.ptw.system.singleUser}".home.file = {
      ".emacs".source = ./dotemacs;
      ".emacs.d/early-init.el".source = ./early-init.el;
      ".emacs.d/mu4e.el".source = ./mu4e.el;
    };
  };
}
